Kuidas uuesti aktiveerida Snaps'i tugi Linux Mint 20-s ... juhul kui olete huvitatud

Linux Mint 20 koos Snapsiga

Kui olete siia tulnud mõttega, et sellel artiklil pole mõtet, lubage mul öelda, et osaliselt olen teiega nõus. Paljude jaoks on üks olulisemaid vaatamisväärsusi Linux Mint 20 just see vabaneb Canonicali Snapi pakettidest, sellistest, mis ei meeldi nii palju kui Flatpak. Kuid ausalt öeldes on tõenäoline, et leiame midagi, mille arendaja pakub seda meile ainult saidil snapcraft.io (näiteks Chromium) või mitteametlikus hoidlas, mis lisaks sellele, et pole nii turvaline (kuigi tavaliselt on), installib sõltuvusi, mida võiksime mitte installida. See oleks antud juhul, kui vajame seda konkreetset tarkvara ja paketti, millal tasuks seda õpetust järgida.

Kuid nagu ma mõnes teises artiklis ütlesin, on üks võimalus mitte järgida neid juhiseid ja valida jaotisi, mis toetab klõpsatusi, kui me neid tõesti tahame, nagu mis tahes ametlikke Ubuntu maitseid. Siin on selgitatud neile kasutajatele, kes soovivad naudi jätkuvalt Linux Mint'i ja eelistab Snapi pakettidele juurdepääsu. Selle avaldamise idee andis mulle Joey Sneddon, kes on teinud sama teises väga kuulsas Ubuntu spetsiaalses keskkonnas.

Snapdi installimine ja aktiveerimine Linux Mint 20-s

Linux Mint 20 on olnud täna beetaversioonina välja antudja kus on parem kui prooviversioonis selliseid asju testida. Mida me kavatseme teha, on installida mõned paketid ja teha mõned muudatused, kuid tahaksin seda nõuda Ma ei teeks neid, kui ma ei sõltu rakendusest, mis sarnaneb ainult Snapiga ja ma ei taha lõpetada Linux Mint kasutamist, kui ta käivitab oma Lysia. Kui olete endiselt huvitatud selle õpetuse järgimisest ja kui ei, siis ärge kritiseerige mind selle teabe jagamise pärast liiga palju, peate tegema järgmist:

  1. Avame terminalirakenduse.
  2. Me kirjutasime:
sudo rm /etc/apt/preferences.d/nosnap.pref
  1. Järgmisena installime paketi järgmise käsuga:
sudo apt install snapd

Eeltoodu on vajalik, kuna nagu teatab Leo Chavez, paketti "snapd" ei saa tavapäraselt installida, kuna Linux Mint 20 blokeerib selle; näitab viga, et teil pole installikandidaati. Eespool selgitatuga tuleks see probleem lahendada. Linux Mint 20 sisaldab konfiguratsioonifaili nimega nosnap.pref mis sisaldab järgmist teadet:

"Linux Mint ei toeta enam Ubuntu poodi, millel on avatud lähtekoodiga 'snapd' klient, millega see ühendatakse."

Selle väikese trikiga peaksime juba suutma installige Chromium Linux Mint 20. Kas teete seda või jätaksite Linux Mint 20 juurest Lefebvre ja tema meeskonna uue filosoofia?


Artikli sisu järgib meie põhimõtteid toimetuse eetika. Veast teatamiseks klõpsake nuppu siin.

8 kommentaari, jätke oma

Jäta oma kommentaar

Sinu e-postiaadressi ei avaldata. Kohustuslikud väljad on tähistatud *

*

*

  1. Andmete eest vastutab: Miguel Ángel Gatón
  2. Andmete eesmärk: Rämpsposti kontrollimine, kommentaaride haldamine.
  3. Seadustamine: teie nõusolek
  4. Andmete edastamine: andmeid ei edastata kolmandatele isikutele, välja arvatud juriidilise kohustuse alusel.
  5. Andmete salvestamine: andmebaas, mida haldab Occentus Networks (EL)
  6. Õigused: igal ajal saate oma teavet piirata, taastada ja kustutada.

  1.   Linuxi kasutaja DIJO

    MA EI TEE SEDA.

  2.   Carlos DIJO

    Linuxi piparmündipäeviku avaldus snapi (d) ja kroomi kui snapi kohta on mõttekas, see on mõnitamine.

    Linux Mint'i tulevik on Debiani baasis, mis on palju parem kui Ubuntu baasis.

  3.   User12 DIJO

    Nende asi oleks, kui Mint koostaks oma Chromiumi paketi (kasutades näiteks Debiani hooldatud paketti), sest see, mida nad kavatsevad teha, et saata kasutajad paketti otse kroomi veebisaidilt alla laadima, pole tõsine (ja kasutajale, kes ei saaks programmivärskendusi).

  4.   Carlos DIJO

    Ma arvan, et seda pole vaja. Linux Mint rakendatakse palju paremini kui Ubuntu, loodan, et nad saavad aja jooksul Debiani kui baasi liikuda.

    1.    mürk DIJO

      Probleem on selles, et kui ubuntu teeb seda suurema tarkvaraga ... peaks piparmünt need kompileerima. Parem kärpida oma kahjumit korraga.

  5.   venitus DIJO

    Installin snapi, et näha, kas see töötab.
    Flatpak tekitab mulle PALJU probleeme paigaldamisel, laadimisel jne.
    peale selle tahan testida anboxi, mis LM repo versioonis ei tööta

  6.   Thulium DIJO

    Väga kohutav !!!! lõpuks installige essa bagaça. Linux on mexer mds -i jaoks väga raske, see kaldus Windowsist kõrvale, see on väärt msm -i.

  7.   Daio DIJO

    sõber, kahe aasta pärast ma ütlen sulle, et ma armastan sind, aitäh!